Last Comment Bug 616643 - Missing undetermined download-progress indicator on OS X
: Missing undetermined download-progress indicator on OS X
Status: VERIFIED FIXED
[AOMTestday]
:
Product: Toolkit
Classification: Components
Component: Add-ons Manager (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: mozilla2.0b8
Assigned To: Blair McBride [:Unfocused] (mostly unavailable, needinfo open, reviews not)
:
Mentors:
http://mozilla.hskupin.info/aom/undet...
Depends on: 616641
Blocks: 553479
  Show dependency treegraph
 
Reported: 2010-12-03 17:53 PST by Henrik Skupin (:whimboo)
Modified: 2010-12-08 01:44 PST (History)
2 users (show)
bmcbride: in‑testsuite-
hskupin: in‑litmus-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Henrik Skupin (:whimboo) 2010-12-03 17:53:57 PST
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:2.0b8pre) Gecko/20101203 Firefox/4.0b8pre ID:20101203030309

Installing an extension from a website which does not supply the content-length for an XPI, the download-progress indicator doesn't turn into undetermined mode on OS X.

Steps:
1. Copy the URL
2. Open the Add-ons Manager
3. Paste the URL into the location bar and hit return

The progress indicator will stay in determined mode.
Comment 1 Blair McBride [:Unfocused] (mostly unavailable, needinfo open, reviews not) 2010-12-06 16:53:53 PST
Fixed in bug 616641 - https://hg.mozilla.org/mozilla-central/rev/63fc6076169b
Comment 2 Henrik Skupin (:whimboo) 2010-12-08 01:44:53 PST
Verified fixed with Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:2.0b8pre) Gecko/20101207 Firefox/4.0b8pre

The litmus test work is already part of bug 553479.

Note You need to log in before you can comment on or make changes to this bug.